## r-cran-solrium 1.0.0

=== DESCRIPTION ===
Package: solrium
Title: General Purpose R Interface to 'Solr'
Description: Provides a set of functions for querying and parsing data
    from 'Solr' (<http://lucene.apache.org/solr>) 'endpoints' (local and
    remote), including search, 'faceting', 'highlighting', 'stats', and
    'more like this'. In addition, some functionality is included for
    creating, deleting, and updating documents in a 'Solr' 'database'.
Version: 1.0.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/solrium
BugReports: https://github.com/ropensci/solrium/issues
VignetteBuilder: knitr
Imports: utils, dplyr (>= 0.5.0), plyr (>= 1.8.4), crul (>= 0.4.0),
        xml2 (>= 1.0.0), jsonlite (>= 1.0), tibble (>= 1.2), R6
Suggests: roxygen2 (>= 6.0.1), testthat, knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-11-02 01:57:53 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2017-11-02 09:42:40 UTC

## r-cran-solrium 0.4.0

=== debian/changelog ===
r-cran-solrium (0.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 25 Jun 2017 07:19:15 +0200

r-cran-solrium (0.4.0-1) unstable; urgency=medium

  * Initial release (closes: #849070)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 12:42:50 +0100

=== debian/control ===
Source: r-cran-solrium
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-dplyr (>= 0.5.0),
               r-cran-plyr (>= 1.8.4),
               r-cran-httr (>= 1.2.0),
               r-cran-xml2 (>= 1.0.0),
               r-cran-jsonlite (>= 1.0),
               r-cran-tibble
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-solrium/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-solrium/trunk/
Homepage: https://cran.r-project.org/package=solrium

Package: r-cran-solrium
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: general purpose R interface to 'Solr'
 This GNU R package provides a set of functions for querying and parsing
 data from 'Solr' (<http://lucene.apache.org/solr>) 'endpoints' (local
 and  remote), including search, 'faceting', 'highlighting', 'stats', and
 'more like this'. In addition, some functionality is included for
 creating, deleting, and updating documents in a 'Solr' 'database'.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/solrium_([-\d.]*)\.tar\.gz

## r-cran-solrium 1.0.0

=== debian/changelog ===
r-cran-solrium (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * New Build-Depends: r-cran-crul

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 14:31:42 +0100

r-cran-solrium (0.4.0-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 09:09:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 0.5.0),
+               r-cran-crul,
+               r-cran-dplyr,
                r-cran-plyr (>= 1.8.4),
-               r-cran-httr (>= 1.2.0),
-               r-cran-xml2 (>= 1.0.0),
-               r-cran-jsonlite (>= 1.0),
+               r-cran-httr,
+               r-cran-xml2,
+               r-cran-jsonlite,
                r-cran-tibble
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-solrium/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-solrium/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-solrium.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-solrium.git
 Homepage: https://cran.r-project.org/package=solrium
 
 Package: r-cran-solrium

## r-cran-solrium 1.0.0+dfsg

=== debian/changelog ===
r-cran-solrium (1.0.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 18:15:34 +0200

=== debian/control ===
Source: r-cran-solrium
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dplyr (>= 0.5.0),
               r-cran-plyr (>= 1.8.4),
               r-cran-crul,
               r-cran-xml2,
               r-cran-jsonlite,
               r-cran-tibble,
               r-cran-r6
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-solrium
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-solrium.git
Homepage: https://cran.r-project.org/package=solrium

Package: r-cran-solrium
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: general purpose R interface to 'Solr'
 This GNU R package provides a set of functions for querying and parsing
 data from 'Solr' (<http://lucene.apache.org/solr>) 'endpoints' (local
 and  remote), including search, 'faceting', 'highlighting', 'stats', and
 'more like this'. In addition, some functionality is included for
 creating, deleting, and updating documents in a 'Solr' 'database'.

## r-cran-solrium 1.0.2+dfsg

=== debian/changelog ===
r-cran-solrium (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 10:50:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                r-cran-crul,
                r-cran-xml2,
                r-cran-jsonlite,
-               r-cran-tibble,
+               r-cran-tibble (>= 1.4.2),
                r-cran-r6
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-solrium
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-solrium.git
 Homepage: https://cran.r-project.org/package=solrium

## r-cran-solrium 1.1.4+dfsg

=== DESCRIPTION ===
Package: solrium
Title: General Purpose R Interface to 'Solr'
Description: Provides a set of functions for querying and parsing data
    from 'Solr' (<https://lucene.apache.org/solr>) 'endpoints' (local and
    remote), including search, 'faceting', 'highlighting', 'stats', and
    'more like this'. In addition, some functionality is included for
    creating, deleting, and updating documents in a 'Solr' 'database'.
Version: 1.1.4
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"),
        email = "myrmecocystus@gmail.com", 
        comment = c(ORCID="0000-0003-1444-9135")),
    person(given = "rOpenSci",
        role = "fnd",
        comment = "https://ropensci.org/"))
License: MIT + file LICENSE
URL: https://github.com/ropensci/solrium (devel),
        https://docs.ropensci.org/solrium/ (user manual)
BugReports: https://github.com/ropensci/solrium/issues
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
Imports: utils, dplyr (>= 0.5.0), plyr (>= 1.8.4), crul (>= 0.4.0),
        xml2 (>= 1.0.0), jsonlite (>= 1.0), tibble (>= 1.4.2), R6
Suggests: roxygen2 (>= 6.1.1), testthat, knitr
RoxygenNote: 6.1.1
X-schema.org-applicationCategory: Databases
X-schema.org-keywords: database, search, JSON, XML, API, web
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2019-11-01 21:13:09 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
  rOpenSci [fnd] (https://ropensci.org/)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2019-11-02 09:20:02 UTC

=== debian/changelog ===
r-cran-solrium (1.1.4+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:24:57 +0200

r-cran-solrium (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 13:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 0.5.0),
+               r-cran-dplyr,
                r-cran-plyr (>= 1.8.4),
                r-cran-crul,
                r-cran-xml2,
                r-cran-jsonlite,
                r-cran-tibble (>= 1.4.2),
                r-cran-r6
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-solrium
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-solrium.git
 Homepage: https://cran.r-project.org/package=solrium
+Rules-Requires-Root: no
 
 Package: r-cran-solrium
 Architecture: all

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/solrium_([-\d.]*)\.tar\.gz

## r-cran-solrium 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: solrium
 Title: General Purpose R Interface to 'Solr'
 Description: Provides a set of functions for querying and parsing data
-    from 'Solr' (<https://lucene.apache.org/solr>) 'endpoints' (local and
+    from 'Solr' (<https://solr.apache.org/>) 'endpoints' (local and
     remote), including search, 'faceting', 'highlighting', 'stats', and
     'more like this'. In addition, some functionality is included for
     creating, deleting, and updating documents in a 'Solr' 'database'.
-Version: 1.1.4
+Version: 1.2.0
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"),
         email = "myrmecocystus@gmail.com", 
@@ -22,15 +22,15 @@
 Language: en-US
 Imports: utils, dplyr (>= 0.5.0), plyr (>= 1.8.4), crul (>= 0.4.0),
         xml2 (>= 1.0.0), jsonlite (>= 1.0), tibble (>= 1.4.2), R6
-Suggests: roxygen2 (>= 6.1.1), testthat, knitr
-RoxygenNote: 6.1.1
+Suggests: testthat, knitr, rmarkdown
+RoxygenNote: 7.1.1
 X-schema.org-applicationCategory: Databases
 X-schema.org-keywords: database, search, JSON, XML, API, web
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2019-11-01 21:13:09 UTC; sckott
+Packaged: 2021-05-18 21:19:53 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   rOpenSci [fnd] (https://ropensci.org/)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-11-02 09:20:02 UTC
+Date/Publication: 2021-05-19 04:40:13 UTC

=== debian/changelog ===
r-cran-solrium (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-plyr and r-cran-tibble.

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 07:40:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
-               r-cran-plyr (>= 1.8.4),
+               r-cran-plyr,
                r-cran-crul,
                r-cran-xml2,
                r-cran-jsonlite,
-               r-cran-tibble (>= 1.4.2),
+               r-cran-tibble,
                r-cran-r6
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-solrium
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-solrium.git
 Homepage: https://cran.r-project.org/package=solrium
